Subject: bug#63728: GHC cannot find lrt

From: Mekeor Melire <[email-masked]>
Date: Mon, 29 May 2023 20:04:21 +0000

2023-05-26 15:44 [email-masked]:

> The gcc-toolchain:static workaround fixes the rt problem, but 
> now the binaries aren't linked to libgmp and libffi, even though 
> gmp and libffi packages are installed in the profile:
>
> Maybe there should be a ghc-toolchain package that has libgmp 
> and libffi as inputs, and makes sure GHC links them correctly?

Hm. Alternatively, we could just fix gcc-toolchain (so that it 
includes rt). But maintainers (understandably) hesitate because 
this will trigger a world rebuild.